> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment invoice

> Retrieves the payment invoice for the specified shipment



## OpenAPI

````yaml /openapi/openapi_fulfillment.json get /commerce/shipments/{shipmentNumber}/invoice
openapi: 3.0.0
info:
  description: |-
    <div id="overview_FULFILLMENT">
                <h2>FULFILLMENT</h2>
                <p>The Fulfillment APIs support order management and fulfillment workflows based on the Shipment API and its
                    packages, including supporting needs such as pick waves and manifests. Once an order has been placed, it
                    generally
                    cannot be edited at the order-level. Instead, changes to the items, pricing, and other information must
                    be done at the
                    shipment level with the Shipment API. See the <a href="/concept-guides/fulfillment">Fulfillment user guides</a> for more information about fulfillment in UCP.</p>
                <p>When using the Shipment API to transition a shipment through each stage of its fulfillment process, it
                    can be
                    difficult to remember how to format the next step's endpoint and the expected parameters on-the-fly.
                    Additionally,
                    if a call such as cancellation, adding tracking information, or marking the shipment as fulfilled needs
                    to be performed
                    outside of the usual fulfillment flow, it may be confusing to determine how to perform the action
                    without referring to the
                    documentation. To assist with this, the Shipment API provides guidelines within the response body. This
                    response
                    includes two objects, workflowState and _links, that detail the shipment's next step in the workflow as
                    well as all
                    possible actions currently available to the shipment. Use 
                    <a href="/pages/fulfillment-api-overview">this walkthrough</a> to better 
                    understand how to work with this response data.</p>
                    <p>Use the <strong>Customer Survey</strong> resource to create surveys and gather data from your customers.</p>
                    <p>Use the <strong>Manifests</strong> resource to create shipping manifests for fulfillment partners such as Canada Post that require manifests for groups of shipments.</p>
                    <p>Use the <strong>Pick Wave</strong> resource to generate and process pick waves for picking groups of items at a fulfillment locations.</p>
                    <p>Use the <strong>Shipment</strong>, <strong>Shipment Attributes</strong>, <strong>Shipment Data</strong>, and <strong>Shipment Notification</strong> resources to manage the actual shipments being fulfilled and perform actions on them.</p>
                    <p>Use the <strong>Shipment Packages</strong> resource to create, update, and delete the individual packages within a shipment.</p>
                    <p>Use the <strong>Storefront</strong> resource to retrieve shipment information for the storefront.</p>
                    <p>Use the <strong>Workflow Process</strong> resource to retrieve BPM configurations and the fulfillment steps based on shipment type.</p>
            </div>
  title: Fulfillment  - Production Profile
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - name: CustomerSurvey
  - name: Fulfillment
  - name: FutureShipment
  - name: GiftReceipt
  - name: Manifest
  - name: PickWave
  - name: Rendition
  - name: ShipmentAttributes
  - name: ShipmentContact
  - name: Shipment
  - name: ShipmentData
  - name: ShipmentHold
  - name: ShipmentNotes
  - name: ShipmentPackages
  - name: ShipmentResendEmail
  - name: ShippingNotification
  - name: Storefront
  - name: Substitutions
  - name: WorkflowProcess
paths:
  /commerce/shipments/{shipmentNumber}/invoice:
    get:
      tags:
        - PaymentInvoiceManagement
      summary: Get payment invoice
      description: Retrieves the payment invoice for the specified shipment
      parameters:
        - description: Shipment number
          in: path
          name: shipmentNumber
          required: true
          schema:
            format: int32
            type: integer
        - in: header
          name: x-vol-site
          required: false
          schema:
            format: int32
            type: integer
        - in: header
          name: x-vol-tenant
          required: true
          schema:
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/hal+json:
              schema:
                $ref: '#/components/schemas/EntityModelOfPaymentInvoice'
            application/json:
              schema:
                $ref: '#/components/schemas/EntityModelOfPaymentInvoice'
            application/xml:
              schema:
                $ref: '#/components/schemas/EntityModelOfPaymentInvoice'
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    EntityModelOfPaymentInvoice:
      properties:
        _links:
          $ref: '#/components/schemas/Links'
        currency:
          type: string
        data:
          type: object
        invoiceDate:
          format: date-time
          type: string
        invoiceNumber:
          type: string
        lineItems:
          items:
            $ref: '#/components/schemas/InvoiceLineItem'
          type: array
        rawEdiData:
          type: string
        references:
          $ref: '#/components/schemas/InvoiceReferences'
        taxes:
          items:
            $ref: '#/components/schemas/InvoiceTax'
          type: array
        terms:
          $ref: '#/components/schemas/InvoiceTerms'
        totalAmount:
          type: number
        vendor:
          $ref: '#/components/schemas/InvoiceVendor'
      title: EntityModelOfPaymentInvoice
      type: object
    Links:
      properties:
        empty:
          type: boolean
      title: Links
      type: object
    InvoiceLineItem:
      properties:
        data:
          type: object
        description:
          type: string
        lineItemType:
          type: string
        quantity:
          format: int32
          type: integer
        sku:
          type: string
        totalPrice:
          type: number
        unitPrice:
          type: number
      title: InvoiceLineItem
      type: object
    InvoiceReferences:
      properties:
        data:
          type: object
        orderNumber:
          format: int32
          type: integer
        purchaseOrderNumber:
          type: string
        shipmentId:
          type: string
      title: InvoiceReferences
      type: object
    InvoiceTax:
      properties:
        amount:
          type: number
        data:
          type: object
        jurisdiction:
          type: string
        rate:
          type: number
        type:
          type: string
      title: InvoiceTax
      type: object
    InvoiceTerms:
      properties:
        data:
          type: object
        dueDate:
          format: date-time
          type: string
        paymentTerms:
          type: string
      title: InvoiceTerms
      type: object
    InvoiceVendor:
      properties:
        address:
          $ref: '#/components/schemas/FulfillmentAPIAddress'
        data:
          type: object
        name:
          type: string
        taxId:
          type: string
        vendorId:
          type: string
      title: InvoiceVendor
      type: object
    FulfillmentAPIAddress:
      properties:
        address1:
          type: string
        address2:
          type: string
        address3:
          type: string
        address4:
          type: string
        addressType:
          enum:
            - Commercial
            - Residential
          type: string
        attributes:
          additionalProperties:
            type: object
          type: object
        cityOrTown:
          type: string
        countryCode:
          type: string
        isValidated:
          type: boolean
        latitude:
          type: string
        longitude:
          type: string
        postalOrZipCode:
          type: string
        stateOrProvince:
          type: string
      title: Address
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````